Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162510 - *** buffer overflow detected ***: gnome-moz-remote terminated
Summary: *** buffer overflow detected ***: gnome-moz-remote terminated
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-libs
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-05 18:27 UTC by Brian Millett
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version: fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-22 19:35:10 UTC


Attachments (Terms of Use)

Description Brian Millett 2005-07-05 18:27:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050623 Fedora/1.0.4-5 Firefox/1.0.4

Description of problem:
buffer overflow detected when trying to run gnome-moz-remote

Version-Release number of selected component (if applicable):
gnome-libs-1.4.1.2.90-46

How reproducible:
Always

Steps to Reproduce:
1.execute /usr/bin/gnome-moz-remote --help
2.read error message
3.
  

Actual Results:  [bpm]$ /usr/bin/gnome-moz-remote --help
Usage: usr/bin/gnome-moz-remote [OPTION...]

GNOME options
  --disable-sound            Disable sound server usage
  --enable-sound             Enable sound server usage
*** buffer overflow detected ***: /usr/bin/gnome-moz-remote terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x41)[0x9e04c5]
/lib/libc.so.6(__vsprintf_chk+0x0)[0x9dfd90]
/lib/libc.so.6(_IO_default_xsputn+0x97)[0x962ab8]
/lib/libc.so.6(_IO_vfprintf+0xd92)[0x93da54]
/lib/libc.so.6(__vsprintf_chk+0xa1)[0x9dfe31]
/lib/libc.so.6(__sprintf_chk+0x30)[0x9dfd84]
/usr/lib/libgnomesupport.so.0[0xc6f815]
/usr/lib/libgnomesupport.so.0[0xc6f8e5]
/usr/lib/libgnomesupport.so.0[0xc6faff]
/usr/lib/libgnomesupport.so.0(poptGetNextOpt+0x65)[0xc6e8e3]
/usr/lib/libgnome.so.32(gnomelib_parse_args+0x6b)[0xc6116f]
/usr/bin/gnome-moz-remote[0x804a0ef]
/lib/libc.so.6(__libc_start_main+0xc6)[0x916d46]
/usr/bin/gnome-moz-remote[0x8048ee1]
======= Memory map: ========
00111000-0011a000 r-xp 00000000 03:02 1240407    /lib/libnss_files-2.3.5.so
0011a000-0011b000 r-xp 00008000 03:02 1240407    /lib/libnss_files-2.3.5.so
0011b000-0011c000 rwxp 00009000 03:02 1240407    /lib/libnss_files-2.3.5.so
008d4000-008dd000 r-xp 00000000 03:02 586096     /usr/lib/libesd.so.0.2.35
008dd000-008de000 rwxp 00009000 03:02 586096     /usr/lib/libesd.so.0.2.35
008e4000-008fe000 r-xp 00000000 03:02 1233201    /lib/ld-2.3.5.so
008fe000-008ff000 r-xp 00019000 03:02 1233201    /lib/ld-2.3.5.so
008ff000-00900000 rwxp 0001a000 03:02 1233201    /lib/ld-2.3.5.so
00902000-00a26000 r-xp 00000000 03:02 1234954    /lib/libc-2.3.5.so
00a26000-00a28000 r-xp 00124000 03:02 1234954    /lib/libc-2.3.5.so
00a28000-00a2a000 rwxp 00126000 03:02 1234954    /lib/libc-2.3.5.so
00a2a000-00a2c000 rwxp 00a2a000 00:00 0
00a2e000-00a50000 r-xp 00000000 03:02 1234955    /lib/libm-2.3.5.so
00a50000-00a51000 r-xp 00021000 03:02 1234955    /lib/libm-2.3.5.so
00a51000-00a52000 rwxp 00022000 03:02 1234955    /lib/libm-2.3.5.so
00a54000-00a56000 r-xp 00000000 03:02 1234956    /lib/libdl-2.3.5.so
00a56000-00a57000 r-xp 00001000 03:02 1234956    /lib/libdl-2.3.5.so
00a57000-00a58000 rwxp 00002000 03:02 1234956    /lib/libdl-2.3.5.so
00a5a000-00a6c000 r-xp 00000000 03:02 417133     /usr/lib/libz.so.1.2.2.2
00a6c000-00a6d000 rwxp 00011000 03:02 417133     /usr/lib/libz.so.1.2.2.2
00a6f000-00b3f000 r-xp 00000000 03:02 129800     /usr/X11R6/lib/libX11.so.6.2
00b3f000-00b43000 rwxp 000cf000 03:02 129800     /usr/X11R6/lib/libX11.so.6.2
00b45000-00b53000 r-xp 00000000 03:02 129813     /usr/X11R6/lib/libXext.so.6.4
00b53000-00b54000 rwxp 0000e000 03:02 129813     /usr/X11R6/lib/libXext.so.6.4
00b56000-00b64000 r-xp 00000000 03:02 1234958    /lib/libpthread-2.3.5.so
00b64000-00b65000 r-xp 0000d000 03:02 1234958    /lib/libpthread-2.3.5.so
00b65000-00b66000 rwxp 0000e000 03:02 1234958    /lib/libpthread-2.3.5.so
00b66000-00b68000 rwxp 00b66000 00:00 0
00bd4000-00beb000 r-xp 00000000 03:02 129842     /usr/X11R6/lib/libICE.so.6.3
00beb000-00bec000 rwxp 00016000 03:02 129842     /usr/X11R6/lib/libICE.so.6.3
00bec000-00bee000 rwxp 00bec000 00:00 0
00bf0000-00bf8000 r-xp 00000000 03:02 129850     /usr/X11R6/lib/libSM.so.6.0
00bf8000-00bf9000 rwxp 00007000 03:02 129850     /usr/X11R6/lib/libSM.so.6.0
00c50000-00c69000 r-xp 00000000 03:02 586044     /usr/lib/libgnome.so.32.4.3
00c69000-00c6a000 rwxp 00019000 03:02 586044     /usr/lib/libgnome.so.32.4.3
00c6c000-00c71000 r-xp 00000000 03:02 585792     /usr/lib/libgnomesupport.so.0.0.0
00c71000-00c72000 rwxp 00004000 03:02 585792     /usr/lib/libgnomesupport.so.0.0.0
00c73000-00c7c000 r-xp 00000000 03:02 1234967    /lib/libgcc_s-4.0.0-20050622.so.1
00c7c000-00c7d000 rwxp 00009000 03:02 1234967    /lib/libgcc_s-4.0.0-20050622.so.1
00c7f000-00ca1000 r-xp 00000000 03:02 585931     /usr/lib/libglib-1.2.so.0.0.10
00ca1000-00ca3000 rwxp 00021000 03:02 585931     /usr/lib/libglib-1.2.so.0.0.10
00caa000-00cb8000 r-xp 00000000 03:02 586104     /usr/lib/libdb1.so.2
00cb8000-00cb9000 rwxp 0000d000 03:02 586104     /usr/lib/libdb1.so.2
00f01000-00f02000 r-xp 00f01000 00:00 0
06542000-065ff000 r-xp 00000000 03:02 1240396    /lib/libasound.so.2.0.0
065ff000-0660d000 rwxp 000bd000 03:02 1240396    /lib/libas  --espeaker=HOSTNAME:PORT   Aborted


Expected Results:  not that

Additional info:

Comment 1 Arjan van de Ven 2005-07-14 19:48:41 UTC
gnome-libs-1.4.1.2.90/support/popthelp.c 
line 109:

    char format[10];
...
        sprintf(format, "%%.%ds\n%%%ds", (int) (ch - help), indentLength);


Comment 5 Christian Iseli 2007-01-22 10:26:07 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 6 Brian Millett 2007-01-22 19:35:10 UTC
Nope, thanks for the reminder.


Note You need to log in before you can comment on or make changes to this bug.